Subject: Re: Regarding Patch 4

From: Prafulla Giri <[email-masked]>
Date: Mon, 7 Sep 2020 09:25:15 +0545

I just realized that the PYTHONPATH set by the default %standard-phase
'wrap of python-build-environment is (most likely) a superset of the manual
PYTHONPATH set by the custom phase 'wrap phase added after 'install in
patch no. 4. As such, perhaps it is redundant, too?

On Mon, Sep 7, 2020 at 8:56 AM Prafulla Giri <[email-masked]>
wrote:

> Hey there Mr. Tildesley,
>
> Without knowing that this was going on, I worked on, and sent a patch to
> fix the QtWebEngineProcess issue yesterday:
> https://issues.guix.gnu.org/43249
>
> My patch also fixes this issue, but without appending things to
> PYTHONPATH. And it works just the same.
>
> Since you say, sir, that you copied the wrap-phase from Anki to fix the
> issue, and I manually poked around with things, grepping the output of
> `env` and stuff to deal with it - I wonder if I have stumbled upon the bare
> minimum changes necessary to resolve this issue.
>
> I would like to request that you, and other esteemed contributors, test my
> patch. And, if it seems good to you, I would like to request that you
> incorporate my patch in this change set.
>
> Attached are the wrappers for `ebook-viewer`: with your patch applied, and
> with my patch applied, for anyone to compare.
>
> Please do let me know if there are any insufficiencies in my solution, or
> if it does not work for anybody else (I did use --pure option with `guix
> environment`).
>
> Thank you
>